1. sidtek50's Avatar
    What is the latest version of Google maps I can get working on my classic? I'm off on holiday soon and the built in blackberry maps is ok for driving but not useful for being a tourist. I've got Google maps 6.8.1 but it feels a bit old now (2012) and if possible I'd like a newer version!

    Thanks

    Posted via CB10
    01-27-17 08:58 AM
  2. conite's Avatar
    The very latest. v9.44.3 - the arm 320dpi variant.

    You also need to patch it.
    01-27-17 09:14 AM
  3. sidtek50's Avatar
    Thanks conite i'll have a look around and see if I can get it patched and installed
    01-27-17 09:17 AM
  4. conite's Avatar
    Thanks conite i'll have a look around and see if I can get it patched and installed
    Just download with Cobalt's Google Play Store. You need his stack anyway to run gmaps.
    01-27-17 09:18 AM
  5. sidtek50's Avatar
    Thanks just installed it. However, new problem: offline areas doesn't work. I'm getting awfully close to moving back to android now. I'll give it a few more days but I might end up looking at the DTEK60.
    01-27-17 10:06 AM
  6. conite's Avatar
    Thanks just installed it. However, new problem: offline areas doesn't work. I'm getting awfully close to moving back to android now. I'll give it a few more days but I might end up looking at the DTEK60.
    Yes, that is the only feature that does not work on bb10.

    You will be very happy with the DTEK60. It's my primary device.
    01-27-17 10:42 AM
  7. dualpassport's Avatar
    01-27-17 12:42 PM
  8. sidtek50's Avatar
    Thanks for the link. I'll check it out, but I must admit, even at the low price of £2 it's frustrating that it's freely available on iOS and Android and us Blackberry users have to rely on 3rd parties to bring us paid apps just for compatibility.
    01-27-17 01:43 PM
  9. bh7171's Avatar
    I use Google Maps via the browser if and when needed and it works ok. May want to consider it.

    Via the Cobalt Classic
    sidtek50 likes this.
    01-28-17 10:00 AM
  10. hplovecraft's Avatar
    Thanks for the link. I'll check it out, but I must admit, even at the low price of £2 it's frustrating that it's freely available on iOS and Android and us Blackberry users have to rely on 3rd parties to bring us paid apps just for compatibility.
    At least there are some work arounds right now....those will get fewer and fewer in the future.

    CB10 on my Classic
    01-28-17 10:02 AM
  11. brookie229's Avatar
    new problem: offline areas
    Offline, I use Maps.Me from Blackberry World. If it's not detailed enough for you , you are better off with android.
    andy957 likes this.
    01-28-17 10:07 AM
  12. Adil Khan7's Avatar
    The newer version would not work untill it is patched by lucky patcher or any other patching app if u will update it from google play store it will not work if u will be able to find the newer version of google app which is patched it will work or else it will not work

    Posted via CB10
    01-29-17 05:08 AM
  13. Adil Khan7's Avatar
    U can also download nav free from BlackBerry world it also workes in ofine mood and it can help u in many ways

    Posted via CB10
    01-29-17 05:08 AM
  14. sidtek50's Avatar
    Offline, I use Maps.Me from Blackberry World. If it's not detailed enough for you , you are better off with android.
    Thanks, MAPS.ME actually turned out to be great. I also downloaded an app simply called 'Map' which uses the Google API to display Google Maps within an app. It's not bad - as close as we can get to the latest Google Maps.
    brookie229 likes this.
    01-29-17 11:52 AM
  15. marcati's Avatar
    Conite,

    I just downloaded the file as mentioned above and used the Play Services Patcher to patch it; however, I get the message nothing to patch.Google maps question-clipboard01.jpg
    03-28-17 09:17 AM
  16. brummer07's Avatar
    Sorry for bothering you. I can't figure out what I did wrong.


    Google Maps 9.49.2
    PS Patcher 1.6
    apktool_2.2.2 (renamed to apktool)


    Google maps question-patch-error.png


    Processing C:\Users\Charlie\Documents\PS_Patcher-1.6\unpatched\com.google.android.apps.maps.apk
    The package contains 3 classes.dex files
    [Decompiling classes and resources]
    Decompiled 30.01 MB in 398.8 seconds
    Done.
    [Analyzing Package]
    Google Maps Geo API dependencies detected
    Google Play services dependencies detected
    Found: C:\Users\Charlie\Documents\PS_Patcher-1.6\PS_Patcher-1.6\tmp\com.google.android.apps.maps\smali\agty.sm ali
    Found: C:\Users\Charlie\Documents\PS_Patcher-1.6\PS_Patcher-1.6\tmp\com.google.android.apps.maps\smali\agtz.sm ali
    Unsuported minimal SDK version detected
    [Analysis completed]

    Press CONTINUE to proceed or CANCEL to abort.

    [Replacing Google Maps Geo API key in AndroidManifest]
    Done.
    [Setting MinSdkVersion to 17]
    Done.
    [Patching isGooglePlayServicesAvailable]
    .method public static d(Landroid/content/ContextI
    in file C:\Users\Charlie\Documents\PS_Patcher-1.6\PS_Patcher-1.6\tmp\com.google.android.apps.maps\smali\agty.sm ali
    Done.
    [Patching isSignatureValid]
    .method static varargs a(Landroid/content/pm/PackageInfo;[LagzdLagzd;
    in file C:\Users\Charlie\Documents\PS_Patcher-1.6\PS_Patcher-1.6\tmp\com.google.android.apps.maps\smali\agtz.sm ali
    Done.
    [Patching isGoogleSigned]
    .method private static b(Landroid/content/pm/PackageInfo;Z)Z
    in file C:\Users\Charlie\Documents\PS_Patcher-1.6\PS_Patcher-1.6\tmp\com.google.android.apps.maps\smali\agtz.sm ali
    Done.
    [Rebuilding]
    Error: Package cannot be recompiled.
    [Cleaning up]
    Done.
    04-08-17 12:15 PM
  17. conite's Avatar
    Sorry for bothering you. I can't figure out what I did wrong.


    Google Maps 9.49.2
    PS Patcher 1.6
    apktool_2.2.2 (renamed to apktool)
    Just use default settings (do not use maps api key or try to decompile).

    Make sure you are also running Google Play Services v10.
    brummer07 likes this.
    04-08-17 12:20 PM
  18. brummer07's Avatar
    Thanks man, that did the trick.
    04-08-17 12:54 PM
  19. andy957's Avatar
    Offline, I use Maps.Me from Blackberry World. If it's not detailed enough for you , you are better off with android.
    Agreed. Maps.me is pretty decent.
    04-09-17 02:57 PM
  20. BrooklynBerryAddict's Avatar
    I am trying the same as above with the latest Google Maps APK (9.51.1 I think) but when I try to patch with PS Patcher 1.6 with default settings it tells me there is nothing to patch. I had no issues patching 15 other apps and all working fine using Cobalt's latetst files.
    04-29-17 09:34 AM
  21. BrooklynBerryAddict's Avatar
    So Google Maps 9.51.1 works well without patching it appears. I am signed in and have location working without issue.
    04-29-17 10:00 AM
  22. Wolfgan's Avatar
    I'm stuck with v9.33.1 as newer versions didn't work for me in turn by turn navigation mode (main map, searches all work OK thou)
    Is that a known limitation? Thx

    Posted via CB10
    05-18-17 08:02 AM

Similar Threads

  1. Replies: 5
    Last Post: 01-29-17, 12:58 PM
  2. Replies: 1
    Last Post: 01-27-17, 11:27 PM
  3. HD voice question
    By Big Kiwini in forum BlackBerry Priv
    Replies: 4
    Last Post: 01-27-17, 09:24 AM
  4. Replies: 5
    Last Post: 01-27-17, 08:59 AM
  5. Hub Contacts Questions
    By Willeonabe in forum BlackBerry Priv
    Replies: 2
    Last Post: 01-26-17, 09:08 PM
LINK TO POST COPIED TO CLIPBOARD